.gamePage {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  position: fixed;

  &__frame {
    width: 100%;
    height: 100%;
    min-height: 100%;
    &_hiden {
      opacity: 0;
    }
  }
  &__logo {
    width: 30%;
    left: 35%;
    top: 30%;
  }

  &__descText {
    text-align: center;
  }

  &__menuWrapper {
    position: absolute;
    right: calc(-8vw - env(safe-area-inset-right, 0));
    max-width: 180px;
    height: 100%;
    top: 0;
    align-self: center;
    transition: all linear 0.5s;
    display: flex;
    align-items: center;
    z-index: 2;
    opacity: 0.7;
    @media (orientation: portrait) {
      right: calc(-20vw - env(safe-area-inset-right, 0));
    }
    &_active {
      right: -1px;
      opacity: 1;
    }
    touch-action: none;
  }
  &__sideMenu {
    background: radial-gradient(
      96.18% 50% at 50% 50%,
      #96254a 44.79%,
      #8a2044 63.02%,
      #5f1a2b 93.23%
    );
    width: calc(10vw + env(safe-area-inset-right, 0));
    height: 50%;
    border: 1px solid #fca8a4;
    box-sizing: border-box;
    border-radius: 10px 0px 0px 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    touch-action: pan-x pan-y;
    @media (orientation: portrait) {
      height: 19%;
      width: calc(20vw + env(safe-area-inset-right, 0));
    }
    &_small {
      padding-right: 0;
    }
    &_big {
      padding-right: env(safe-area-inset-right, 0);
    }
  }
  &__sideMenuToggler {
    border-radius: 5px 0 0 5px;
    position: absolute;
    width: 35px;
    height: 60px;
    top: calc(50% - 30px);
    left: -34px;
    background: linear-gradient(
      90deg,
      rgba(61, 50, 44, 0.9) 18.75%,
      rgba(0, 0, 0, 0.9) 100%
    );
    border: 1px solid #fca8a4;
    touch-action: none;
    &:after {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-image: url('~assets/images/icons/arrowMenu.png');
      background-position: 50% 50%;
      background-repeat: no-repeat;
      touch-action: pan-x pan-y;
      background-size: 50% 40%;
    }
    &_active {
      &:after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-image: url('~assets/images/icons/arrowMenu.png');
        background-position: 50% 50%;
        background-repeat: no-repeat;
        transform: rotate(180deg);
        touch-action: pan-x pan-y;
        background-size: 50% 40%;
      }
    }
  }

  &__whiteButton {
    width: 8vw;
    height: 35px;
    padding: 0 15px;
    margin-left: 10px;
    @media (orientation: portrait) {
      width: 15vw;
    }
    &_small {
      width: 55px;
    }
  }
}
